/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID,     COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR);
	// 項目長設定
	setMaxLength(PRM_TXT_K_CODE      , LEN_K_CODE      );
	setMaxLength(PRM_TXT_K_NAME      , LEN_K_NAME      );
	setMaxLength(PRM_TXT_INC_TAX_FROM, LEN_MONEY_AMOUNT);
	setMaxLength(PRM_TXT_INC_TAX_TO  , LEN_MONEY_AMOUNT);
	// 一覧背景色設定
	setTableColor("list");
	// フォーカス設定
	if (ARY_FIELDS_ID.length > 0) {
		setFocus(ARY_FIELDS_ID[0]);
	}
}

/**
 * サーバー通信処理
 * @param objForm 送信フォームオブジェクト
 * @param cmd     送信コマンド
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm, cmd) {
	// 入力チェック
	if (validate()) {
		// サーバー通信(入力エラー無の場合)
		doSubmit(objForm, cmd);
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate() {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);
	// 半角変換
	convSbSpace(PRM_TXT_K_NAME);
	convSbSpace(PRM_TXT_K_KANA);
	convSbKana (PRM_TXT_K_KANA);
	// 入力チェック
	var aryMessage = new Array();
	checkCode  (PRM_TXT_K_CODE      , NAM_K_CODE          , aryMessage);
	checkKana  (PRM_TXT_K_KANA      , NAM_K_KANA          , aryMessage);
	checkNumber(PRM_TXT_INC_TAX_FROM, NAM_FINAL_INCOME_TAX, aryMessage);
	checkNumber(PRM_TXT_INC_TAX_TO  , NAM_FINAL_INCOME_TAX, aryMessage);
	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}

/**
 * サーバー通信処理
 * @param objForm 送信フォームオブジェクト
 * @param cmd     送信コマンド
 * @return 無し
 * @throws 実行時例外
 */
function submitFile(objForm, cmd) {
	// 入力チェック
	if (validateForFile()) {
		// サーバー通信(入力エラー無の場合)
		doSubmitFile(objForm, cmd);
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validateForFile() {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);
	// 入力チェック
	var aryMessage = new Array();
	checkRequired(PRM_PLT_REPORT_YEAR, NAM_ADJUST_YEAR, aryMessage);
	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}
